%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function CellCapacitanceFieldValueChanged_m(app)
% Turn warning label off if a cell capacitance value is inserted
if app.CellCapacitanceField.Value ~= 0
  app.CapacitanceWarningLabel.Visible = 'off';
else
  app.CapacitanceWarningLabel.Visible = 'on';
end
% Cell capacitance is assumed to be in pF
app.cellCapacitance = app.CellCapacitanceField.Value;
end
