%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function CursorDropDownValueChanged_m(app)
% When another cursor is selected from drop down men, cursor position in
% cursor spinner is updated
if numel(app.CursorDropDown.Items)>0
  % Get selected cursor number
  CursorIndex = str2double(app.CursorDropDown.Value(end));
  % Get selected cursor position
  x_cursors = get(app.cursorsLine(CursorIndex),'xdata');
  % Update spinner
  app.x_cursorSpinner.Value = x_cursors(1);
  
end
end
