%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function FittedSweepSpinnerValueChanging_m(app, event)
%%% Spinner to control which fitted sweep to plot
% Called every time the spinner changes

% Check if sweep number was inserted manually or using the spinner, because 
% data type changes; in case it is a string, convert it to double 
if ischar(event.Value)
  valueOfEvent = str2double(event.Value);
else
  valueOfEvent = event.Value;
end

% Assign inserted sweep number to a variable
app.fittedSpinner = valueOfEvent;

% Plot the selected sweep
SelectDataFittedToPlot(app);
end
