%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function InitialAnalysisControls(app)
%%% Controls on cursors
app.cursorsOk = true;
cursNum = app.CursorNumberSpinner.Value;

if cursNum == 0
  %%% If no cursor is selected, then fit the whole signal
  % Start
  x_cur1 = 0;
  % End
  x_cur2 = length(app.dataTimeVect);
elseif cursNum == 1
  %%% If just one cursor is selected, fit the signal starting from that
  %%% point
  % Start
  x_cur1 = get(app.cursorsLine(1),'xdata');
  % End
  x_cur2 = length(app.dataTimeVect);
else
  %%% If 2 cursors are selected, then fit the signal between them
  % Start
  x_cur1 = get(app.cursorsLine(1),'xdata');
  % End
  x_cur2 = get(app.cursorsLine(2),'xdata');
  % Control on cursors position
  if x_cur1(1)>=x_cur2(1)
    uialert(app.EDAmatUIFigure,'Cursor 1 cannot be to the right of cursor 2','Error')
    app.cursorsOk = false;
    return
  end
end

%%% Extracting current values between cursors
% Indices
app.cursorsTimeVect = (app.dataTimeVect >= x_cur1(1) & app.dataTimeVect <= x_cur2(1));

app.analysisWindowClosed = false;
end
