%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function SelectAnalysisFitCoords(app)
%%% This script retrieves Analysis data to be fitted

% Get only the original data and not other fittings
originalDataArrays = find(app.plotDataType == 0);
originalDataArraysNum = length(originalDataArrays);

% Preallocating
xDim = max(size(app.plotXData{originalDataArrays(1)}));
yDim = min(size(app.plotXData{originalDataArrays(1)}));
app.fitXCoords = zeros(xDim,originalDataArraysNum);
app.fitYCoords = zeros(xDim,originalDataArraysNum);

% Assign data, being sure to have right dimensions (column vectors)
for idx = 1:originalDataArraysNum
  app.fitXCoords(:, idx) = reshape(app.plotXData{originalDataArrays(idx)},[xDim,yDim]);
  app.fitYCoords(:, idx) = reshape(app.plotYData{originalDataArrays(idx)},[xDim,yDim]);
end

% Update spinner limits
if originalDataArraysNum > 1
  app.FittedSweepSpinner.Limits(2) = originalDataArraysNum;
end
end
