%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function ydata = bi_exp_eval(x,xdata)
%%% Bi-exponential function (to be passed to fminsearch)

% Parameters
A1 = x(1);
tau1 = x(2);
B1 = x(3);
A2 = x(4);
tau2 = x(5);
B2 = x(6);

% Model
ydata = (B1+A1*exp(-xdata/tau1))+(B2+A2*exp(-xdata/tau2));

end