%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function saveParamToExport(app)
%%% This script retrieves parameters of fittings executed on AnalysisFigure

% Allocate fitted parameters struct
app.analysisFittedParameters = struct([]);
fitIndex = 0;

% Check every AnalysisFigure (through their handles)
for idx = 1:length(app.AnalysisFigureList)
  
  % Check if the Analysis was fitted
  if app.AnalysisFigureList(idx).fitPerformed
    % Indexing through fitIndex allows to not save empty structs
    % (analysis without fittings)
    fitIndex = fitIndex+1;
    % Get the axes on which the fitting was executed
    figAxes = app.AnalysisFigureList(idx).AnalysisAxes;
    % Get fitting parameters
    app.analysisFittedParameters(fitIndex).Param = get(figAxes,'userdata');
    % Get the type and number of Analysis
    axesName = get(figAxes,'title');
    app.analysisFittedParameters(fitIndex).title = get(axesName,'string');
    % Get axes units
    app.analysisFittedParameters(fitIndex).xUnit = app.AnalysisFigureList(idx).xUnitLabel;
    app.analysisFittedParameters(fitIndex).yUnit = app.AnalysisFigureList(idx).yUnitLabel;
  end
  
end
end
