%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function x_cursorSpinnerValueChanging_m(app, event)
cursorIndex = str2double(app.CursorDropDown.Value(end));

% Delete cursor label (it can't be updated with "set" as for cursors)
delete(app.curLabel(cursorIndex))

% Check if spinner value was inserted manually or using the spinner,
% because data type changes; in case it is a string, convert it to double
if ischar(event.Value)
  % x_cursor is 1x2 so that i can plot a (vertical) line
  x_cursors=[str2double(event.Value) str2double(event.Value)];
else
  x_cursors=[event.Value event.Value];
end
y_cursors=get(app.CurrentAxes,'Ylim');

% Update cursor position and assign the "cursor" tag
set(app.cursorsLine(cursorIndex),'xdata',x_cursors,'ydata',y_cursors,'userdata',"cursor")
% Recreate cursor label...
app.curLabel(cursorIndex) = text(app.CurrentAxes,x_cursors(1),(y_cursors(2)+y_cursors(2)*0.1),num2str(cursorIndex),'Color','red');
% ...and assign the "cursor" tag
set(app.curLabel,'userdata',"cursor")
end
